OfxAccountInfoRequest Class Reference

An account information request. More...

Inheritance diagram for OfxAccountInfoRequest:

## Public Member Functions

| OfxAccountInfoRequest (const OfxFiLogin &fi)
| OfxAccountInfoRequest (const OfxFiLogin &fi)
| OfxAccountInfoRequest (const OfxFiLogin &fi)

## Detailed Description

An account information request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a list of all accounts for this user.

Definition at line 37 of file lib/ofx_request_accountinfo.hh.

## Constructor & Destructor Documentation

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters:

  fi | The information needed to log on user into one financial institution

Definition at line 75 of file lib/ofx_request_accountinfo.cpp.

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters:

  fi | The information needed to log on user into one financial institution

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters:

  fi | The information needed to log on user into one financial institution

The documentation for this class was generated from the following files:

- lib/ofx_request_accountinfo.hh
- libofx-0.9.5/lib/ofx_request_accountinfo.hh
- tar-pax-libofx/lib/ofx_request_accountinfo.hh
- lib/ofx_request_accountinfo.cpp
- libofx-0.9.5/lib/ofx_request_accountinfo.cpp
- tar-pax-libofx/lib/ofx_request_accountinfo.cpp